ArrayObject::offsetSet
ArrayObject::setFlags
ArrayObject
PHP Manual

# ArrayObject::offsetUnset

(PHP 5 >= 5.1.0)

ArrayObject::offsetUnset — Unsets the value at the specified index

### Description

void ArrayObject::offsetUnset ( mixed `$index` )

Unsets the value at the specified index.

### Parameters

`index`

  The index being unset.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::offsetunset example

`<?php
$arrayobj = new ArrayObject(array(0=>'zero',2=>'two'));
$arrayobj->offsetunset(2);
var_dump($arrayobj);
?>`

The above example will output:

    object(ArrayObject)#1 (1) {
      [0]=>
      string(4) "zero"
    }

ArrayObject::offsetSet
ArrayObject::setFlags
ArrayObject
PHP Manual